Bug 150285 - sleep is broken on my latitude d600
sleep is broken on my latitude d600
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-03-04 04:47 EST by jeroen
Modified: 2015-01-04 17:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 03:43:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpi script for the laptop to go to sleep and blank the screen when the lid closes. (5.56 KB, text/plain)
2005-03-04 04:47 EST, jeroen
no flags Details

  None (edit)
Description jeroen 2005-03-04 04:47:47 EST
So after reading http://www.loria.fr/~thome/d600/ i added the acpi handler
script to /etc/acpi/actions. When my laptop comes back from sleep, the display
is all white (eventually some spots will show up). I've had the case where
everything but the display seems to work (it started playing music again with
muine). I'm using the (almost) latest kernel here : Linux orcrist
2.6.10-1.766_FC3 #1 Wed Feb 9 23:06:42 EST 2005 i686 i686 i386 GNU/Linux.

This should "Just Work (TM)". Even thinking of moving to Ubuntu if it "Just
Works (TM)" over there.

Some more details:

Dell Latidude D600.
ATI Technologies Inc Radeon R250 Lf [Radeon Mobility 9000 M9] (rev 02)
Resolution of 1400x1050.

I'll attach the script i'm currently using.
Comment 1 jeroen 2005-03-04 04:47:47 EST
Created attachment 111655 [details]
acpi script for the laptop to go to sleep and blank the screen when the lid closes.
Comment 2 Dave Jones 2005-07-15 15:09:06 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 jeroen 2005-07-16 08:14:20 EDT
I'll hold off on testing this (current laptop setup is not setup for sleeping)
until the "power manager" appears in rawhide (iirc a PowerManager (similar to
NetworkManager) is planned for FC5?).
Comment 4 Dave Jones 2006-01-16 17:32:48 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 5 jeroen 2006-01-17 03:43:28 EST
Sleep works great with rawhide (Fedora Core 5 test).

Note You need to log in before you can comment on or make changes to this bug.